Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoEsStandardXover< EOT > Class Template Reference

Standard (i.e. More...

`#include <eoEsStandardXover.h>`

Inheritance diagram for eoEsStandardXover< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | FitT
## Public Member Functions
| eoEsStandardXover (eoBinOp< double > &_crossObj, eoBinOp< double > &_crossMut)
| (Default) Constructor.
virtual std::string | className () const
| The class name. Used to display statistics.
bool | operator() (EOT &_eo1, const EOT &_eo2)
| modifies one parents in the populator using a second parent
## Private Member Functions
bool | cross_self_adapt (eoEsSimple< FitT > &_parent1, const eoEsSimple< FitT > &_parent2)
bool | cross_self_adapt (eoEsStdev< FitT > &_parent1, const eoEsStdev< FitT > &_parent2)
bool | cross_self_adapt (eoEsFull< FitT > &_parent1, const eoEsFull< FitT > &_parent2)
## Private Attributes
eoRandomSelect< EOT > | sel
eoBinOp< double > & | crossObj
eoBinOp< double > & | crossMut

## Detailed Description

### template<class EOT>
class eoEsStandardXover< EOT >

Standard (i.e.

eoBinOp) crossover operator for ES genotypes. Uses some Atom crossovers to handle both the object variables and the mutation strategy parameters It is an eoBinOp and has to be wrapped into an eoGenOp before being used like the global version

Definition at line 46 of file eoEsStandardXover.h.

The documentation for this class was generated from the following file:

- eoEsStandardXover.h